--- title: "Delete Path" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/stratus/delete-path/ description: "This API enables you to perform delete operation on an entire path in Stratus." last_updated: 2026-08-28T06:26:16Z service: Cloud Scale type: api --- # Delete Path ### Description This API allows you to delete an entire path and every object stored in that path in a bucket. The Bucket is referred by its [unique bucket name](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket). ### Request Details #### Request URL `DELETE` {api-domain}/baas/v1/project/{project_id}/bucket/object/prefix - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Query Parameters - **bucket_name** (Alphanumeric, mandatory): The [name of the bucket](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket) - **prefix** (String, mandatory): Will contain the prefix of the path that needs to be deleted. #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.buckets.objects.DELETE ### Response Details On successful execution, the response will contain the success message confirming the delete operation was successful. **Sample Request** ```bash curl -X DELETE https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket/object/prefix?bucket_name=zylker-bucket&prefix=myfolder/ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": { "prefix": "myfolder/", "message": "Deletion successful" } } ``` ### SDK Documentation * [Delete Path - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/stratus/delete-objects/#delete-a-path-in-the-bucket) * [Delete Path - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/stratus/delete-objects/#delete-a-path-in-the-bucket) * [Delete Path - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/stratus/delete-objects/#delete-a-path-in-the-bucket) * [Delete Objects - Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/stratus/delete-object/) * [Delete Path - iOS SDK](https://docs.catalyst.zoho.com/en/sdk/ios/v2/cloud-scale/stratus/delete-path/) * [Delete Path - Android SDK](https://docs.catalyst.zoho.com/en/sdk/android/v2/cloud-scale/stratus/delete-path/) * [Delete Path - Flutter SDK](https://docs.catalyst.zoho.com/en/sdk/flutter/v2/cloud-scale/stratus/delete-path/)